{
  description = "BaxMC: a Max#SAT solver";

  outputs = { self, nixpkgs }: {

    packages.x86_64-linux.baxmc =
      # Notice the reference to nixpkgs here.
      let
        pkgs = import nixpkgs {
          system = "x86_64-linux";
          overlays = [ (import ./overlay.nix) ];
        };
      in
      pkgs.stdenv.mkDerivation {
        name = "baxmc";
        src = self;
        buildInputs = ((import ./deps.nix) { pkgs = pkgs; });
        nativeBuildInputs = [ pkgs.cmake ];
        cmakeFlags = [ "-DWITH_TESTS=OFF" ];
      };

    packages.x86_64-linux.default = self.packages.x86_64-linux.baxmc;

  };
}
